/*
 Theme Name:   Astra Child
 Theme URI:    https://wpastra.com/
 Description: Child theme for Astra
 Author:       Your Name
 Template:     astra
 Version:      1.0.0
 Text Domain:  astra-child
*/

html {
	font-size: 1rem;
}
/**/


/**/

body .e-button-base {
	backdrop-filter: blur(28px);
	box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.08);
}

#masthead .elementor-element.e-flexbox-base {
	transition: all 350ms ease;
}

.onScroll #masthead .elementor-element.e-flexbox-base {
    background-color: #fff;
    box-shadow: 0 8px 32px rgba(0, 0, 0, 0.05);
}

.main-nav .elementor-inline-item > a{
	position: relative;
}

.main-nav .elementor-inline-item > a:before {
	content: '';
	background-color: #C5B9B7;
	position: absolute;
	bottom: -12px;
	left: 0;
	height: 2px;
	width: 100%;
	opacity: 0;
	transition: all 550ms ease;
}

.main-nav .elementor-inline-item > a:hover:before {
	bottom: -4px;
	opacity: 1;
}

.text-gradient > *{
	background: linear-gradient(90deg, #47201c 18.62%, #ff6a00 100%);
	background-clip: text;
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
}

.btn-toggle .elementor-button-text:before {
	content: 'Подробнее ';
}

.btn-toggle a.active .elementor-button-text:before {
	content: 'Скрыть ';
}




body .block-toggle {
	display: none;
}

.wrap-block-toggle {
	transition: all 450ms ease;
}

/*.wrap-block-toggle.active {
	background-color: #f6f5f4 !important;
}*/

.elementor .e-div-block-base.block-toggle {
	display: none;
}

body.elementor-editor-active .elementor .e-div-block-base.block-toggle{
	display: block;
	opacity: 0.5;
}

/*.text-gradient > .elementor-heading-title {
	display: table;
}*/

body #ast-scroll-top {
	background-color: #c5b9b7;
	border-radius: 0.4em;
	color: #47201C;
	width: 2.5em;
    height: 2.5em;
    line-height: 2.6;
    transition: all 350ms ease;
}

body #ast-scroll-top:hover {
	background-color: #47201C;
	color: #c5b9b7;
}

.ml-auto {
	margin-left: auto;
}

.wrap-block-toggle .elementor-widget-image {
	flex: 0 0 3em;
}

#site-hero {
	transition: background-size 0.1s ease-out;
}

@media (min-width: 78.8125em) {
	#site-hero::after {
	  content: '';
	  position: absolute;
	  inset: 0;
	  background: #fff;
	  opacity: var(--overlay-opacity, 0);
	  transition: opacity 0.1s ease-out;
	  pointer-events: none; /* чтобы не блокировал клики */
	}
}

/*  Effect cursor  */
#typewriter .elementor-heading-title:not(.active) {
 	color: transparent;
} 

#typewriter .cursor {
	/*color: transparent; */
  display: inline-block;
  width: 2px;
  background: currentColor;
  margin-left: 3px;
  animation: blink 0.7s infinite;
  vertical-align: middle;
      height: 24px;
    position: relative;
    top: -2px;
}

@keyframes blink {
  0%, 100% { opacity: 1; }
  50%       { opacity: 0; }
}

.bl-animation {
	position: relative;
}


@media (min-width: 78.8125em) {
	.wrap-cAnimation {
		position: absolute;
		top: 0;
		left: 0;
		height: 100%;
		width: 100%;
		transform: scale(-1, 1);
	}
	#c-animation {
		height: 100%;
		width: 100%;
	}
}

@media (max-width: 78.75em){
	#typewriter .cursor {
		height: 20px;
		top: 0;
	}

	.wrap-cAnimation {
		display: none !important;
	}
}

@media (max-width: 64em) {
	.wrap-block-toggle .elementor-widget-image {
		flex: 0 0 2.25em;
	}

	.sm-hide {
		display: none !important;
	}

	.sm-slide {
		display: -webkit-box !important;
	    display: -webkit-flex !important;
	    display: -ms-flexbox !important;
	    display: flex !important;
	    gap: 2em;
        overflow: auto !important;
        margin-left: -1em;
        margin-right: -1em;
        padding-left: 1em;
        padding-right: 1em;
        width: 100vw;
        scrollbar-width: none;
	}

	.sm-slide > .elementor-element{
		-webkit-box-flex: 0;
        -webkit-flex: 0 0 18.125em;
        -ms-flex: 0 0 18.125em;
        flex: 0 0 18.125em;
        width: 18.125em;
	}
}

@media (max-width: 25em) {
	.sm-slide > .elementor-element{
		-webkit-box-flex: 0;
        -webkit-flex: 0 0 17.5em;
        -ms-flex: 0 0 17.5em;
        flex: 0 0 17.5em;
        width: 17.5em;
	}
}

.service__item {
	background-color: #f6f5f4;
	display: flex;

	position: relative;
	overflow: hidden;
}

.service__title {
	color: #47201C;
	letter-spacing: -0.04em;
	line-height: 1.4;
}

.service__txt ul {
	margin: 0;
	list-style: none;
	padding-left: 5px;
}

.service__txt ul li {
	display: flex;
	align-items: center;
	gap: 0.625em;
	font-size: 1em;
	line-height: 1.375;
	color: #6e615f;
}

.service__txt ul li:before {
	content: url("data:image/svg+xml,%3Csvg width='15' height='15' viewBox='0 0 15 15' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M2.8125 7.5L5.15625 9.84375L12.1875 3.28125' stroke='%23FF6A00' stroke-width='1.40625' stroke-linecap='round' stroke-linejoin='round' /%3E%3C/svg%3E");
	flex: 0 0 0.9375em;
	line-height: 1;
}

.service__txt ul li + li {
	margin-top: 0.75em;
}

.owl-nav button {
	background-color: transparent;
	border-radius: 100%;
    border: 0.0625em solid #595959 !important;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 300ms;
}

.owl-nav button:hover {
	background-color: #c5b9b7 !important;
	border-color: #c5b9b7 !important;
}

@media (min-width: 78.8125em) {
	.onScroll #masthead .elementor-element.e-flexbox-base {
		padding-top: 10px;
    	padding-bottom: 10px;
	}
	.mobnav__trigger {
		display: none;
	}

	.owl-carousel#carousel-services {
		width: 125vw;
	}

	#carousel-services .owl-nav{
		position: relative;
		margin-top: 3.75em;
	}

	#carousel-services .owl-nav:before {
		content: '';
		position: absolute;
		top: 50%;
		left: 8.75em;
		height: 0.125em;
		width: 100%;
		background-image: radial-gradient(circle at center, #595959 0.0625em, transparent 0.0625em);
        background-size: 0.625em 0.125em;
        background-repeat: repeat-x;
	}

	.owl-nav {
	    display: flex;
	    gap: 1em;
	    position: relative;
	}

	.owl-nav button {
		width: 3em;
    	height: 3em;
	}
	.service__item {
		border-radius: 2.5em;
		align-items: flex-end;
		min-height: 37.5em;
		padding: 3em;
	}

	.service__content {
		width: 50%;
		position: relative;
		z-index: 1;
	}

	.service__image {
		position: absolute;
	    right: 0;
	    top: 0;
	    height: 100%;
	    width: 60%;
	}

	.service__image:before {
		content: '';
		background: linear-gradient(to right, #f5f4f3, transparent);
		position: absolute;
		top: 0;
		left: 0;
		height: 100%;
		width: 15.625em;
	}

	.service__image > img{
		height: 100%;
		width: 100%;
	    object-fit: cover;
	}

	.service__title {
		font-size: 2.5em;
	}

	.service__txt {
		font-size: 1em;
		margin-top: 1.5em;
	}

	.content-area {
		padding-top: 100px;
	}
}
/*  // 1401px  */
@media (min-width: 87.5625em) and (max-width: 100em){ 
	.owl-carousel#carousel-services {
		width: 140vw;
	}
}

@media (min-width: 78.8125em) and (max-width: 87.5em){ 
	.owl-carousel#carousel-services {
		width: 160vw;
	}

	#carousel-services .owl-nav {
		margin-top: 2em;
	}

	.service__title {
		font-size: 2em;
	}

	.service__item {
		border-radius: 2em;
		padding: 1.875em;
		padding-bottom: 3em;
	}
}

@media (max-width: 78.75em){ 
	.mob-nav--open #masthead .e-image-link-base{
		position: relative;
		z-index: 1;
	}

	.onScroll #masthead .elementor-element.e-flexbox-base {
		padding-top: 1.25em;
    	padding-bottom: 1.25em;
	}
	.main-nav .elementor-inline-item > a:before {
		display: none !important;
	}
	.content-area {
		padding-top: 100px !important;
	}

	.entry-title {
		font-size: 24px !important;
	}

	#masthead .e-image-link-base img {
		transition: all 400ms ease;
	}

	.mob-nav--open #masthead .e-image-link-base img{
		filter: brightness(200);
    	opacity: .5;
	}

	#masthead .elementor-widget-html {
		margin-left: auto;
		position: relative;
		z-index: 99;
	}
	.mobnav__trigger {
		display: flex;
		flex-direction: column;
		gap: 0.625em;
	}

	.hamburger .line {
		background-color: #19191b;
        width: 1.625em;
        height: 0.125em;
        display: block;
        transition: all 400ms ease;
	}

	.hamburger.active .line {
		background-color: #a6a2a1;
	}

	.hamburger.active .line:nth-child(1) {
        transform: translateY(0.375em) rotate(45deg);
	}

	.hamburger.active .line:nth-child(2) {
		transform: translateY(-0.375em) rotate(-45deg);
	}

	.main-nav {
		position: absolute;
	    top: 0;
	    left: 0;
	    width: 100%;
	    height: 101vh;
	    background-color: #211715;
	    padding: 5em 1em 2.5em;
	    transform: translateX(-100%);
	    transition: all 400ms ease;
	}

	.mob-nav--open .main-nav {
		transform: translateX(0);
	}

	.main-nav ul.elementor-icon-list-items {
	    display: flex;
	    flex-direction: column;
	}

	.main-nav ul.elementor-icon-list-items a {
		color: #E4E4E4;
	    font-weight: 300 !important;
	    font-size: 1.75em !important;
	    line-height: 1.14286 !important;
	    letter-spacing: -0.04em;
	}

	.main-nav .elementor-icon-list-text {
		font-weight: 300 !important;
		color: inherit !important;
	}

	.main-nav ul.elementor-icon-list-items .elementor-inline-item {
		padding: 1.5em 0;
		border-bottom: 0.0625em solid #ffffff;
	}

	.main-nav ul.elementor-icon-list-items .elementor-inline-item:last-of-type {
		border-bottom: none;
	}

	#carousel-services {
		width: 100vw !important;
	}
	.service__item {
		background-color: #fff;
		flex-direction: column;
		gap: 1.5em;
		width: 25em;
	}

	.service__image {
		order: -1;
	}

	.service__image img {
		border-radius: 1.5em;
		object-fit: cover;
		height: 18.75em;
		width: 100%;
	}

	.service__title {
		font-weight: 300;
		font-size: 1.75em;
		line-height: 1.14286;
		letter-spacing: -0.04em;
	}

	.service__txt {
		font-weight: 300;
		font-size: 1em;
		line-height: 1.375;
		color: #6e615f;
		margin-top: 1em;
	}

	#carousel-services .owl-nav {
		display: none !important;
	}

	.owl-nav {
	    display: flex;
	    gap: 0.75em;
	    position: relative;
	}

	.owl-nav button {
		width: 2.625em;
    	height: 2.625em;
	}
}

@media (max-width: 48em){
	.service__image img {
		height: 13.75em;
	}

	.service__item {
		width: 19.0625em;
	}
}

.modal-default {
	width: 700px;
    margin: 0 auto;
    background-color: #fff;
    border-radius: 2em;
    padding: 40px;
    padding-top: 80px;
    position: relative;
}

.js-modal-dismiss.close-button {
	display: block;
    line-height: 1;
    position: absolute;
    right: 28px;
    top: 28px;
    transition: all 350ms;
}

.js-modal-dismiss.close-button:hover {
	opacity: .6;
}

.modal__head {
	display: flex;
    flex-direction: column;
    text-align: center;
    margin-bottom: 70px;
    gap: 1.25em;
}

.modal__title {
	font-weight: 300;
    font-size: 40px;
    line-height: 1.2;
    letter-spacing: -0.04em;
    text-align: center;
    background: linear-gradient(90deg, #47201c 18.62%, #ff6a00 100%);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.modal__desc {
	font-weight: 300;
    font-size: 20px;
    line-height: 1.4;
    letter-spacing: -0.01em;
    text-align: center;
    color: #6e615f;
}

.form-row {
	display: flex;
    flex-wrap: wrap;
    margin: 0 -4px;
}

.form-col {
    width: 50%;
    padding: 4px;
    margin-bottom: 12px;
}

.form-bottom {
    margin-top: 60px;
    margin-bottom: 0 !important;
    text-align: center;
}

.form-note {
	font-weight: 300;
    font-size: 12px;
    line-height: 1.33333;
    letter-spacing: -0.01em;
    text-align: center;
    color: #6e615f;
    max-width: 480px;
    margin: 40px auto 0;
}

.form-note a{
	border-bottom: 1px solid #6e615f;
}

.form-note a:hover {
	color: #47201c;
	border-bottom-color: transparent;
}

body input[type="text"].form-control, 
body input[type="number"].form-control, 
body input[type="email"].form-control, 
body input[type="url"].form-control, 
body input[type="password"].form-control, 
body input[type="search"].form-control, 
body input[type=reset].form-control, 
body input[type=tel].form-control, 
body input[type=date].form-control {
	background-color: #f6f5f4;
    box-shadow: none;
    height: 54px;
    padding: 15px;
    border-radius: 10px;
    border: none;
    font-weight: 300;
    font-size: 16px;
    line-height: 1.375;
    letter-spacing: -0.01em;
    color: #47201c;
}

input.form-control::placeholder {
	color: #6e615f !important;
}

button.cbtn.cbtn-default,
.cbtn.cbtn-default {
	border: none;
    border-bottom: 1px solid #8c8c8c;
    border-radius: 80px;
    color: #47201c;
    padding: 20px 40px 18px;
    backdrop-filter: blur(28px);
    box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.08);
    background: rgba(168, 168, 168, 0.1);
	transition: all 350ms ease;
}

button.cbtn.cbtn-default span,
.cbtn.cbtn-default span {
	font-weight: 300;
	font-size: 1.25em;
	line-height: 1.2;
	letter-spacing: -0.02em;
}

button.cbtn.cbtn-default:hover,
.cbtn.cbtn-default:hover {
	background-color: #c5b9b7;
	border-color: #c5b9b7;
	color: #47201c;
}

@media (max-width: 48em){ 
	.modal-default {
		border-radius: 1.5em;
		width: 94%;
		padding: 2.5em 1.25em 2em;
	}

	.js-modal-dismiss.close-button {
		right: 1em;
		top: 1em;
	}

	.js-modal-dismiss.close-button  svg {
		width: 16px;
    	height: 16px;
	}

	.modal__head {
		gap: 1em;
		margin-bottom: 2em;
	}

	.modal__title {
		font-size: 24px;
	}

	.modal__desc {
		font-size: 1em;
	}

	.modal__desc br {
		display: none;
	}

	.form-bottom {
		margin-top: 2em;
	}

	.form-row {
		display: block;
		margin: 0;
	}

	.form-col {
		padding: 0;
		width: 100%;
	}

	body input[type="text"].form-control, 
	body input[type="number"].form-control, 
	body input[type="email"].form-control, 
	body input[type="url"].form-control, 
	body input[type="password"].form-control, 
	body input[type="search"].form-control, 
	body input[type=reset].form-control, 
	body input[type=tel].form-control, 
	body input[type=date].form-control {
		height: 48px;
	}

	button.cbtn.cbtn-default span,
	.cbtn.cbtn-default span {
		font-weight: 300;
		font-size: 1em;
		line-height: 1;
		letter-spacing: -0.02em;
	}

	button.cbtn.cbtn-default,
	.cbtn.cbtn-default {
		
	}
}

@media (max-width: 25em){
	.modal__desc {
		font-size: 14px;
	}

	.form-bottom {
		margin-top: 1.25em;
	}

	.form-bottom .cbtn.cbtn-default {
		width: 100%;
	}
}